# ListJurisdictionsByRateTypeTaxTypeMapping

List jurisdictions based on the provided taxTypeId, taxSubTypeId, country, and rateTypeId

`GET /api/v2/definitions/jurisdictions/countries/{country}/taxtypes/{taxTypeId}/taxsubtypes/{taxSubTypeId}`

**API:** AvaTax API
**Tag:** Definitions
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Definitions/ListJurisdictionsByRateTypeTaxTypeMapping/

## Description

Returns a list of all Avalara-supported taxing jurisdictions filtered by taxTypeId, taxSubTypeId, country, and rateTypeId.
            
You can optionally pass region as a query parameter to retrieve jurisdictions that are under that region.
            
This API allows you to examine all Avalara-supported jurisdictions. You can filter your search by supplying
SQL-like query for fetching only the ones you concerned about. For example: effectiveDate > '2016-01-01'
            
The jurisdictionType, effectiveDate, and endDate are filterable fields available on the JurisdictionRateTypeTaxTypeMappingModels returned by this API.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `country` | string | path | Yes | The country for which you want to retrieve the jurisdiction information |
| `taxTypeId` | string | path | Yes | The taxtype for which you want to retrieve the jurisdiction information |
| `taxSubTypeId` | string | path | Yes | The taxsubtype for which you want to retrieve the jurisdiction information |
| `rateTypeId` | integer | query | Yes | The ratetype for which you want to retrieve the jurisdiction information |
| `region` | string | query | No | The region for which you want to retrieve the jurisdiction information |
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.  For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* id, country, state, jurisdictionCode, longName, taxTypeId, taxSubTypeId, taxTypeGroupId, rateTypeId, stateFips |
| `$top` | integer | query | No | If nonzero, return no more than this number of results.  Used with `$skip` to provide pagination for large datasets.  Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data.  Used with `$top` to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`. |
| `$includeCustomContent` | boolean | query | No | Optional query parameter to include custom content jurisdictions (default: false) |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `JurisdictionRateTypeTaxTypeMappingModelFetchResult` |

### 200 Response: `JurisdictionRateTypeTaxTypeMappingModelFetchResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | JurisdictionRateTypeTaxTypeMappingModel[] | No |  |
| `@nextLink` | string | No |  |
| `pageKey` | string | No |  |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/definitions/jurisdictions/countries/{country}/taxtypes/{taxTypeId}/taxsubtypes/{taxSubTypeId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```